Bug 928246 - onboard serial port worked in 3.8.3, disabled in 3.8.4
Summary: onboard serial port worked in 3.8.3, disabled in 3.8.4
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: kernel
Version: 18
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Kernel Maintainer List
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2013-03-27 08:57 UTC by tkil
Modified: 2013-04-22 03:15 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2013-04-15 23:52:05 UTC


Attachments (Terms of Use)
dmesg output for 3.8.3 (110.92 KB, text/plain)
2013-04-02 04:02 UTC, tkil
no flags Details
pnp resources output for 3.8.3 (46 bytes, text/plain)
2013-04-02 04:03 UTC, tkil
no flags Details
lspci -v output from 3.8.3 (9.44 KB, text/plain)
2013-04-02 04:03 UTC, tkil
no flags Details
dmesg output for 3.8.4 (82.10 KB, text/plain)
2013-04-02 04:04 UTC, tkil
no flags Details
pnp resources output for 3.8.4 (48 bytes, text/plain)
2013-04-02 04:05 UTC, tkil
no flags Details
lspci -v output from 3.8.4 (9.44 KB, text/plain)
2013-04-02 04:05 UTC, tkil
no flags Details
dmesg output for 3.8.5 (82.12 KB, text/plain)
2013-04-02 04:15 UTC, tkil
no flags Details
pnp resources output for 3.8.5 (48 bytes, text/plain)
2013-04-02 04:16 UTC, tkil
no flags Details
lspci -v output from 3.8.5 (9.44 KB, text/plain)
2013-04-02 04:16 UTC, tkil
no flags Details
dmidecode output (29.51 KB, text/plain)
2013-04-02 14:06 UTC, tkil
no flags Details
dmesg output for 3.8.5-201.4 (84.42 KB, text/plain)
2013-04-02 15:04 UTC, tkil
no flags Details
pnp resources output for 3.8.5-201.4 (46 bytes, text/plain)
2013-04-02 15:05 UTC, tkil
no flags Details

Description tkil 2013-03-27 08:57:54 UTC
Description of problem:
After I upgraded from kernel-3.8.3-203.fc18 to 3.8.4-202, my serial port was no longer available.

Version-Release number of selected component (if applicable):
broken: kernel-3.8.4-202.fc18.x86_64
working: kernel-3.8.3-203.fc18.x86_64

How reproducible:
Boot with each kernel, observe in dmesg:

3.8.3-203: 
[    0.000000] Linux version 3.8.3-203.fc18.x86_64...
...
[    0.659951] Serial: 8250/16550 driver, 4 ports, IRQ sharing enabled
[    0.680479] 00:0a: ttyS0 at I/O 0x3f8 (irq = 4) is a 16550A

3.8.4-202:
[    0.000000] Linux version 3.8.4-202.fc18.x86_64...
...
[    0.674427] Serial: 8250/16550 driver, 4 ports, IRQ sharing enabled
[    0.674569] serial 00:0a: disabled

Steps to Reproduce:
(See above)
  
Actual results:
On 3.8.4-202, I cannot use that serial port; on 3.8.3-203, I can.

Expected results:
Able to use serial port on both releases.

Additional info:
This is a fairly modern system: Intel i7-3770K on an Asus P8Z77-V motherboard; the serial port in question is built into the motherboard.

A quick glance at the changes makes me suspect
eec98f82c63730d039e4a87f623cfcf5ac612683 (in v3.8.y) or
77e372a3d82e5e4878ce1962207edd766773cc76 (upstream).

Comment 1 Josh Boyer 2013-04-01 18:33:50 UTC
Could you attach the dmesg from both 3.8.3 and 3.8.4?  Also, the output of 'cat /sys/bus/pnp/devices/00:0a/resources' from both kernels would be good to see as well.

I'm guessing 3.8.5 also shows the same issue?

Comment 2 tkil 2013-04-02 04:02:43 UTC
Created attachment 730552 [details]
dmesg output for 3.8.3

Comment 3 tkil 2013-04-02 04:03:19 UTC
Created attachment 730553 [details]
pnp resources output for 3.8.3

Comment 4 tkil 2013-04-02 04:03:53 UTC
Created attachment 730555 [details]
lspci -v output from 3.8.3

Comment 5 tkil 2013-04-02 04:04:33 UTC
Created attachment 730556 [details]
dmesg output for 3.8.4

Comment 6 tkil 2013-04-02 04:05:06 UTC
Created attachment 730557 [details]
pnp resources output for 3.8.4

Comment 7 tkil 2013-04-02 04:05:30 UTC
Created attachment 730558 [details]
lspci -v output from 3.8.4

Comment 8 tkil 2013-04-02 04:07:34 UTC
Josh(In reply to comment #1)
> Could you attach the dmesg from both 3.8.3 and 3.8.4?  Also, the output of
> 'cat /sys/bus/pnp/devices/00:0a/resources' from both kernels would be good
> to see as well.

Attached, thanks for taking a look.

> I'm guessing 3.8.5 also shows the same issue?

Haven't tried that yet.  Installing now, will let you know how it goes.

Thanks again!

Comment 9 tkil 2013-04-02 04:15:16 UTC
(In reply to comment #1)

> I'm guessing 3.8.5 also shows the same issue?

Correct; the port is still broken under 3.8.5

Summary:
  3.8.3 - works
  3.8.4 - fails
  3.8.5 - fails

I'll attach the files for 3.8.5, just in case there's something interesting in there.

Thanks!

Comment 10 tkil 2013-04-02 04:15:41 UTC
Created attachment 730559 [details]
dmesg output for 3.8.5

Comment 11 tkil 2013-04-02 04:16:15 UTC
Created attachment 730560 [details]
pnp resources output for 3.8.5

Comment 12 tkil 2013-04-02 04:16:49 UTC
Created attachment 730561 [details]
lspci -v output from 3.8.5

Comment 13 Josh Boyer 2013-04-02 13:14:31 UTC
Please test this scratch build when it completes:

http://koji.fedoraproject.org/koji/taskinfo?taskID=5198234

it contains a revert of the patch you highlighted.  If that works, we'll probably need to know the BIOS manufacturer and version on your machine.

Comment 14 tkil 2013-04-02 14:04:28 UTC
(In reply to comment #13)
> Please test this scratch build when it completes:
> 
> http://koji.fedoraproject.org/koji/taskinfo?taskID=5198234
> 
> it contains a revert of the patch you highlighted.  If that works, we'll
> probably need to know the BIOS manufacturer and version on your machine.

Will give it a whirl.  (Is it obvious when it's done building?  Koji and friends confuse the heck out of me, for whatever reason...)

I'll attach the dmidecode output.

Actual box says:

Asus Motherboard P8Z77-V Pro / Thunderbolt
Part No 90-MIBHS5-GOAAYODZ
Serial C7M0CS158845

(No idea which of those are "O" and which are "0", sadly.)

Thanks again.  :)

Comment 15 tkil 2013-04-02 14:06:02 UTC
Created attachment 730810 [details]
dmidecode output

From dmidecode-2.11-9.fc18.x86_64

(Running under 3.8.3-203.fc18.x86_64, although I wouldn't think that would matter...)

Comment 16 tkil 2013-04-02 15:03:41 UTC
(In reply to comment #13)
> Please test this scratch build when it completes:
> 
> http://koji.fedoraproject.org/koji/taskinfo?taskID=5198234
> 
> it contains a revert of the patch you highlighted.  If that works, we'll
> probably need to know the BIOS manufacturer and version on your machine.

That rebuild works: I can use the serial port with that kernel.

To be clear, the current scorecard reads:

  3.8.3-203   - works
  3.8.4-202   - fails
  3.8.5-201   - fails
  3.8.5-201.4 - works

I'll attach the latest files (except lspci, no change there), then get the exact version of the BIOS.

Thanks for tracking this down for me!

Comment 17 tkil 2013-04-02 15:04:25 UTC
Created attachment 730837 [details]
dmesg output for 3.8.5-201.4

Comment 18 tkil 2013-04-02 15:05:04 UTC
Created attachment 730838 [details]
pnp resources output for 3.8.5-201.4

Comment 19 tkil 2013-04-02 15:17:18 UTC
As requested, here's the BIOS info for this board.  (Although the dmidecode output seems to have it mostly correct.)

  BIOS Version            0406 x64
  Build Date              06/06/2013
  EC Version              MBEC-Z77-0130
  ME Version              8.0.4.1441
  South Bridge Stepping   C1

Here's the web page for the motherboard:
http://usa.asus.com/Motherboards/Intel_Socket_1155/P8Z77V_PROTHUNDERBOLT/

The specs seem to point at an AMI EFI bios at the bottom of the stack (see second item in "BIOS" spec list):

  64 Mb Flash ROM, UEFI AMI BIOS, PnP, DMI2.0, WfM2.0, SM BIOS 2.5,
  ACPI 2.0a, Multi-language BIOS, ASUS EZ Flash 2, ASUS CrashFree BIOS 3,
  F12 PrintScreen, F3 Shortcut Function and ASUS DRAM SPD (Serial
  Presence Detect) memory information

Let me know if there's anything else I can add here.

Thanks!

Comment 20 tkil 2013-04-02 15:19:03 UTC
Sigh.  Sorry for the typo and the extra noise...

(In reply to comment #19)
>   Build Date              06/06/2013
                                  ^^^^
2012 of course.

Comment 21 Josh Boyer 2013-04-02 15:56:13 UTC
I've emailed upstream with you CC'd.  Hopefully they can make some sense out of what to do here.

Comment 22 tkil 2013-04-02 16:06:22 UTC
Josh --

(In reply to comment #21)
> I've emailed upstream with you CC'd.  Hopefully they can make some sense out
> of what to do here.

Saw that -- thanks.  Looking forward to what the other gurus have to say.  :)

Thanks again!

Comment 23 tkil 2013-04-03 00:43:16 UTC
FWIW, it seems there are quite a few BIOS updates for this board.  Should I try one of those, to see if it is fixed?  Or would you rather I stay on this BIOS until we get the matter sorted out?

(This board should even have the dual BIOS feature, so I can roll back if I have to -- but I'm not sure how well that all works under Linux, sadly.)

Comment 24 Josh Boyer 2013-04-11 19:27:16 UTC
Upstream reverted the change that broke your machine, and that will be included in the 3.8.7 update.

Comment 25 Fedora Update System 2013-04-12 21:24:21 UTC
kernel-3.8.7-201.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/kernel-3.8.7-201.fc18

Comment 26 Fedora Update System 2013-04-14 00:25:18 UTC
Package kernel-3.8.7-201.fc18:
* should fix your issue,
* was pushed to the Fedora 18 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing kernel-3.8.7-201.fc18'
as soon as you are able to, then reboot.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-5617/kernel-3.8.7-201.fc18
then log in and leave karma (feedback).

Comment 27 Fedora Update System 2013-04-15 23:52:07 UTC
kernel-3.8.7-201.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 28 tkil 2013-04-22 03:15:41 UTC
(In reply to comment #24)
> Upstream reverted the change that broke your machine, and that will be
> included in the 3.8.7 update.

Sorry for the radio silence -- I was on travel for the last two weeks, so didn't have an opportunity to check the fixes.

I can report that, as expected, the serial port is working again in current stable (3.8.8-202.fc18.x86_64).  [Is there still any need/desire for me to add karma to that rev, or to the previous one that fixed it?  Or is karma irrelevant once a package has made it into stable?  I'll assume irrelevant, unless told otherwise...]

I don't know when I'll have the opportunity, but if you think it would be worthwhile, I could try flashing my BIOS up to the current release.  Testing one of the known-bad releases could let us know if AMI happened to fix up whatever weirdness was in the PnP tables.

At this point, though, I'm just super-happy that it's working again.

Thanks very much for helping me work through this!

Thanks again,
Tony


Note You need to log in before you can comment on or make changes to this bug.